/*********************************************************************
 * Copyright (c) 2020 Red Hat, Inc.
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 **********************************************************************/
import * as Listr from 'listr';
import { CheHelper } from '../../api/che';
import { KubeHelper } from '../../api/kube';
export declare const CERT_MANAGER_CA_SECRET_NAME = "ca";
export declare class CertManagerTasks {
    protected kubeHelper: KubeHelper;
    protected cheHelper: CheHelper;
    constructor(flags: any);
    /**
     * Returns list of tasks which perform cert-manager checks and deploy and requests self-signed certificate for Che.
     */
    getTasks(flags: any): ReadonlyArray<Listr.ListrTask>;
}
